#ifndef _VIDEOSYSTEM_H_
#define _VIDEOSYSTEM_H_

#ifdef VIDEOSYSTEM_EXPORTS
# define VS_EXPORT __declspec(dllexport)
#endif

#ifdef VIDEOSYSTEM_IMPORTS
# define VS_EXPORT __declspec(dllimport)
#endif


#ifndef VS_EXPORT 
# define VS_EXPORT 
#endif

#include "platform.h"

#ifndef FALSE
# define FALSE 0
#endif
#ifndef TRUE
# define TRUE -1
#endif

VS_EXPORT VOID decompress_huffyuv( VOIDP uncompressed, const VOIDP compressed, UINT32 size_uncompressed);
int internalDecompressJPEG(const void *aSrc, const int aSrcLength, void *aDest, unsigned int aDestSizeBytes, int *aOutWidth, int *aOutHeight, int *aOutFormat);

#endif // _VIDEOSYSTEM_H_
